Docs
Job API Reference
This section covers all endpoints related to job.
Create Job
Create a job.
POST/jobs/{chute_id}/{method}
API
Code Examples
curl -X POST "https://api.chutes.ai/jobs/{chute_id}/{method}"
-H "Content-Type: application/json"Request Configuration
Authorization
Endpoint:
Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| chute_id | string | Yes | |
| method | string | Yes | |
| X-Chutes-Hotkey | string | null | No | |
| X-Chutes-Signature | string | null | No | |
| X-Chutes-Nonce | string | null | No | |
| Authorization | string | null | No |
Responses
| Status Code | Description |
|---|---|
| 200 | Successful Response |
| 422 | Validation Error |
Authentication
This endpoint requires authentication.
Delete Job
Delete a job.
DELETE/jobs/{job_id}
API
Code Examples
curl -X DELETE "https://api.chutes.ai/jobs/{job_id}"
-H "Content-Type: application/json"Request Configuration
Authorization
Endpoint:
Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| job_id | string | Yes | |
| X-Chutes-Hotkey | string | null | No | |
| X-Chutes-Signature | string | null | No | |
| X-Chutes-Nonce | string | null | No | |
| Authorization | string | null | No |
Responses
| Status Code | Description |
|---|---|
| 200 | Successful Response |
| 422 | Validation Error |
Authentication
This endpoint requires authentication.
Finish Job And Get Upload Targets
Mark a job as complete (which could be failed; "done" either way)
POST/jobs/{job_id}
API
Code Examples
curl -X POST "https://api.chutes.ai/jobs/{job_id}"
-H "Content-Type: application/json"Request Configuration
Authorization
Endpoint:
Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| job_id | string | Yes | |
| token | string | Yes |
Responses
| Status Code | Description |
|---|---|
| 200 | Successful Response |
| 422 | Validation Error |
Complete Job
Final update, which checks the file uploads to see which were successfully transferred etc.
PUT/jobs/{job_id}
API
Code Examples
curl -X PUT "https://api.chutes.ai/jobs/{job_id}"
-H "Content-Type: application/json"Request Configuration
Authorization
Endpoint:
Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| job_id | string | Yes | |
| token | string | Yes |
Responses
| Status Code | Description |
|---|---|
| 200 | Successful Response |
| 422 | Validation Error |
Get Job
Get a job.
GET/jobs/{job_id}
API
Code Examples
curl -X GET "https://api.chutes.ai/jobs/{job_id}"
-H "Content-Type: application/json"Request Configuration
Authorization
Endpoint:
Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| job_id | string | Yes | |
| X-Chutes-Hotkey | string | null | No | |
| X-Chutes-Signature | string | null | No | |
| X-Chutes-Nonce | string | null | No | |
| Authorization | string | null | No |
Responses
| Status Code | Description |
|---|---|
| 200 | Successful Response |
| 422 | Validation Error |
Authentication
This endpoint requires authentication.
Upload Job File
Upload a job's output file.
PUT/jobs/{job_id}/upload
API
Code Examples
curl -X PUT "https://api.chutes.ai/jobs/{job_id}/upload"
-H "Content-Type: application/json"Request Configuration
Authorization
Endpoint:
Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| job_id | string | Yes | |
| token | string | Yes |
Responses
| Status Code | Description |
|---|---|
| 200 | Successful Response |
| 422 | Validation Error |
Download Output File
Download a job's output file.
GET/jobs/{job_id}/download/{file_id}
API
Code Examples
curl -X GET "https://api.chutes.ai/jobs/{job_id}/download/{file_id}"
-H "Content-Type: application/json"Request Configuration
Authorization
Endpoint:
Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| job_id | string | Yes | |
| file_id | string | Yes | |
| X-Chutes-Hotkey | string | null | No | |
| X-Chutes-Signature | string | null | No | |
| X-Chutes-Nonce | string | null | No | |
| Authorization | string | null | No |
Responses
| Status Code | Description |
|---|---|
| 200 | Successful Response |
| 422 | Validation Error |
Authentication
This endpoint requires authentication.